Author: jfrederic.clere(a)jboss.com
Date: 2012-04-11 07:16:17 -0400 (Wed, 11 Apr 2012)
New Revision: 2941
Modified:
trunk/build/unix/buildbin.mod_cluster.sh
Log:
make sure it fails when maven failed.
Modified: trunk/build/unix/buildbin.mod_cluster.sh
===================================================================
--- trunk/build/unix/buildbin.mod_cluster.sh 2012-04-11 07:27:42 UTC (rev 2940)
+++ trunk/build/unix/buildbin.mod_cluster.sh 2012-04-11 11:16:17 UTC (rev 2941)
@@ -293,11 +293,15 @@
mvn clean
mvn -P dist install -Djboss.server.log.dir=`pwd` -Djava.net.preferIPv4Stack=true
if [ $? -ne 0 ]; then
- echo "maven build failed"
+ echo "maven dist install failed"
exit 1
fi
# the src/assembly/bin.xml is executed too early so the first time the file is
"empty".
mvn -P dist package -Djboss.server.log.dir=`pwd` -Djava.net.preferIPv4Stack=true
-Dmaven.test.skip=true
+ if [ $? -ne 0 ]; then
+ echo "maven dist package failed"
+ exit 1
+ fi
cp target/*-bin.* ${build_top}/output
) || exit 1
mkdir -p ${RPM_BUILD_ROOT}/${BASEHTTPD}/tools
Show replies by date